# module Bundler::Thor::LineEditor

### Public Class Methods

best_available() click to toggle source

    # File lib/bundler/vendor/thor/lib/thor/line_editor.rb, line 10
    def self.best_available
      [
        Bundler::Thor::LineEditor::Readline,
        Bundler::Thor::LineEditor::Basic
      ].detect(&:available?)
    end

readline(prompt, options = {}) click to toggle source

    # File lib/bundler/vendor/thor/lib/thor/line_editor.rb, line 6
    def self.readline(prompt, options = {})
      best_available.new(prompt, options).readline
    end